Distribution: 	CCux
Packager: 	Karsten Brockmann <arcam@ccux-linux.de>
Name: 		gnumeric
Version: 	1.8.1
Release: 	1
Source0: 	%{name}-%{version}.tar.bz2
Summary: 	Spreadsheet Application
URL: 		http://www.gnome.org/projects/gnumeric/
License: 	GPL
Group: 		Office
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	perl
BuildRequires:  libICE-devel
BuildRequires:  ORBit2-devel
BuildRequires:  libSM-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  atk-devel
BuildRequires:  libbonobo-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  GConf-devel
#BuildRequires:  gdk-pixbuf-devel
BuildRequires:  libglade-devel
BuildRequires:  glib-devel
BuildRequires:  libgnome-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  libgnomeprint-devel
BuildRequires:  libgnomeprintui-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  goffice-devel
BuildRequires:  libgsf-devel
BuildRequires:  gtk2+-devel
BuildRequires:  pango-devel
BuildRequires:  popt
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel

%description
gnumeric is a free, fast and accurate spreadsheet application

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.


%post
scrollkeeper-update
export GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule /etc/gnome/gconf/schemas/%{name}-dialogs.schemas >/dev/null
/usr/bin/gconftool-2 --makefile-install-rule /etc/gnome/gconf/schemas/%{name}-general.schemas >/dev/null
/usr/bin/gconftool-2 --makefile-install-rule /etc/gnome/gconf/schemas/%{name}-plugins.schemas >/dev/null

%postun
scrollkeeper-update

%prep
%setup -n %{name}-%{version}


%build
./configure --prefix=%_prefix \
            --libexecdir=`pkg-config \
	    --variable=prefix ORBit-2.0`/lib/gnumeric \
            --sysconfdir=/etc/gnome \
            --localstatedir=/var/lib \
	    --with-gconf-schema-file-dir=/etc/gnome/gconf/schemas \
	    --disable-schemas-install \
	    --mandir=%_mandir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot}
rm -rf  $RPM_BUILD_ROOT/var/lib/scrollkeeper
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 


%files
%defattr(-,root,root)
%_sysconfdir
%_bindir
%_datadir/locale
%_datadir/pixmaps
%_datadir/gnome
%_datadir/gnumeric
%_datadir/applications
%_datadir/omf
%_mandir
%_libdir/gnumeric
%_libdir/libspreadsheet-*.so
%_libdir/libspreadsheet.so
#%_libdir/goffice/0.3.5/plugins/gnumeric/gnumeric.so
#%_libdir/goffice/0.3.5/plugins/gnumeric/plugin.xml

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/pkgconfig
%_libdir/libspreadsheet.la
#%_libdir/goffice/0.3.5/plugins/gnumeric/gnumeric.la


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 29 2008 Christian Metzen <metzench@ccux-linux.de> 1.8.1-1
- Version update
* Sun Dec 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.7.6-1
- Initial Release
* Sat Sep 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.7.0-1
- Initial Release

